Loading...
Searching...
No Matches
int_rat.cc File Reference
`#include "config.h"`
`#include "cf_assert.h"`
`#include "cf_defs.h"`
`#include "int_rat.h"`
`#include "int_int.h"`
`#include "imm.h"`
`#include "canonicalform.h"`
`#include "cf_factory.h"`
`#include "gmpext.h"`

Go to the source code of this file.

## Functions

static long | intgcd (long a, long b)

## Function Documentation

## intgcd()

long intgcd | ( | long | a,
|  | long | b )

static

Definition at line 17 of file int_rat.cc.

{
if ( a < 0 ) a = -a;
if ( b < 0 ) b = -b;
long c;
while ( b != 0 )
{
c = a % b;
a = b;
b = c;
}
return a;
}
b
CanonicalForm b
Definition cfModGcd.cc:4111